Пожалуйста, войдите здесь. Часто задаваемые вопросы О нас
Задайте Ваш вопрос

FreePBX+Fop2 (Filter::Crypto::Decrypt: libcrypto.so.0.9.8) [закрыт]

0
/usr/local/fop2/fop2_server --test
Can't load '/tmp/par-root/cache-577fad9d07d2601555798462bc0ab041ad7d0489/6f015f7c.so' for 
module Filter::Crypto::Decrypt: libcrypto.so.0.9.8: невозможно открыть разделяемый 
объектный файл: Нет такого файла или каталога at /usr/lib/perl/5.8/DynaLoader.pm line 225.
 at /usr/local/share/perl/5.8.8/PAR/Heavy.pm line 128
BEGIN failed--compilation aborted at /tmp/par-root/
cache-577fad9d07d2601555798462bc0ab041ad7d0489/inc/lib/Filter/Crypto/Decrypt.pm line 37.
Compilation failed in require at script/fop2_server.pl line 1.
BEGIN failed--compilation aborted at script/fop2_server.pl line 1.

Мне perl 5.8 ставить или можно сделать ссылку и использовать 5.14?

РЕШЕНИЕ:

You have to create a symlink for libcrypto, depending on your installed version. Or you

might want to try with fop 2.27 that in most cases will work without a need for

symlinking libcrypto libraries.

http://download.fop2.com/fop2-2.27-debian-i386.tgz

http://download.fop2.com/fop2-2.27-debian-x86_64.tgz

The last question in the FAQ tells you how to create a symlink for centos 6, but gentoo

will most probably have a different library or location, so you will have to tweak the

command to match your environment.

СТАВИМ fop2-2.27 ИЛИ ДЕЛАЕМ СИМЛИНКИ.

:-)

удалить переоткрыть спам изменить тег редактировать

спросил 2013-07-01 09:16:37 +0400

bolshoy_plohish Gravatar bolshoy_plohish
1358 21 16 37

обновил 2013-07-07 13:19:49 +0400

Comments

Модуль к перлу не судьба поставить?

zzuz ( 2013-07-01 09:53:51 +0400 )редактировать

Decrypt.pm у меня есть.

У меня перл свежий стоит, а Fop2 ищет старый.

bolshoy_plohish ( 2013-07-01 10:21:41 +0400 )редактировать

Если я ссылку сделаю не повлечет это других проблем?

Хотелось бы заранее узнать. :-)

Раньше просто везло и все ставилось из коробки без особых вопросов. :-)

bolshoy_plohish ( 2013-07-01 10:26:49 +0400 )редактировать

/sbin/ldconfig -p | grep libcrypto

libcrypto.so.1.0.0 (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0

libcrypto.so (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libcrypto.so

тоже стоит

bolshoy_plohish ( 2013-07-01 11:54:44 +0400 )редактировать

где взять Heavy.pm ?

bolshoy_plohish ( 2013-07-01 12:00:01 +0400 )редактировать

Видимо в интернете.

zzuz ( 2013-07-01 12:59:02 +0400 )редактировать

У меня вообще установлены модулей нет :-)

perl perlmodulecheck.pl

Perl --> 5.14.2

Ссылкой поделись на Heavy.pm, а то быстрое гугление что-то не очень. ;-)

bolshoy_plohish ( 2013-07-01 14:24:40 +0400 )редактировать

Found include directory ............ /usr/include

Found OpenSSL version .............. 1.0.1e

Error (109): No crypto library found at Makefile.PL line 112

не выходит :-(

bolshoy_plohish ( 2013-07-01 17:25:16 +0400 )редактировать

1 Ответ

0

Selinux выключите.

ссылка удалить спам редактировать

ответил 2013-07-01 10:06:35 +0400

meral Gravatar meral flag of Ukraine
21228 23 18 169
http://pro-sip.net/

Comments

1.Что даст?

2.Полностью отключить или для определенного сервиса?

bolshoy_plohish ( 2013-07-01 12:31:12 +0400 )редактировать

попробуйте полностью. дело в том,что freepbx расчитана на selinux=off. а fop2 еще и чтото в /tmp/ пишет и пытается запускать. что точно запрещено всеми policy. защита емае.

meral ( 2013-07-01 20:43:47 +0400 )редактировать

ls -Z /etc/

? acpi ? hosts.deny ? pear

? adduser.conf ? hotplug ? perl

? adjtime ? idmapd.conf ? php5

У меня она вроде и так не влючена. :-)

bolshoy_plohish ( 2013-07-02 02:50:05 +0400 )редактировать

Можешь ответ закрыть?

bolshoy_plohish ( 2013-07-03 02:15:15 +0400 )редактировать

Закладки и информация

Добавить закладку

подписаться на rss ленту новостей

Статистика

Задан: 2013-07-01 09:16:37 +0400

Просмотрен: 560 раз

Обновлен: Jul 07 '13

Проект компании "АТС Дизайн"
Asterisk® и Digium® являются зарегистрированными торговыми марками компании Digium, Inc., США.
IP АТС Asterisk распространяется под лицензией GNU GPL.